Report Request

Using this API, you can fetch all the shipment updates received for a day in Clickpost.

The start time and end time are in UTC.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

With help of this API, Enterprise can raise a request to get status updates for all the shipments present in Clickpost dashboard. Enterprise will get a unique report reference number, post which the Enterprise needs to hit the GET API and enter the report_reference_number to get the s3_link of the requested report.

Usecase

This API can be used to get the data for all the shipments that received their latest tracking scan in the specified time range. This is a standard API which applies to all MPS (Multi-Piece Shipment) and SPS (Single Piece Shipment) orders.

Geography

This is a standard API which supports all shipments created and transported within

  1. India
  2. North America
  3. Europe
  4. Middle East
  5. South East Asia

Important Links

🚧

NOTE

The difference between Start Time and End Time cannot be more that 24 hours. The API will only return shipments whose latest tracking scan falls within the specified time range.

❗️

NOTE

The start time and end time are in UTC.

URL Parameters

Query Parameters to be passed directly in the URL.

Field NameData TypeFieldDescriptionMax LengthExample
keyStringMandatoryUnique license key100Provided by Clickpost team

Request Payload

Field NameData TypeFieldDescriptionMax LengthExample
filters > updated_at_start_timestringMandatoryStart Date Eg: "2021-08-01 00:00:00""2022-11-01 00:00:00"
filters > updated_at_end_timestringMandatoryEnd Date Eg: "2021-08-01 23:59:00" NOTE: The difference between Start Time and End Time cannot be more that 24 hours."2022-11-01 23:59:00"
report_name stringMandatoryTRACK_ORDER_DASHBOARD_REPORT or RETURN_TRACK_ORDER_DASHBOARD_REPORT"TRACK_ORDER_DASHBOARD_REPORT"
fieldsStringMandatoryAdd Field Ids in the list to get only data of specific fields. Eg: ["1", "21". "42"] Possible values of Field Ids listed here :
  1. TRACK_ORDER_DASHBOARD_REPORT: https://docs.clickpost.ai/docs/complete-list-of-fields-available-in-reporting-api

  2. RETURN_TRACK_ORDER_DASHBOARD_REPORT: https://docs.clickpost.ai/docs/complete-list-of-fields-available-in-return_track_order_dashboard_reportList can be empty too. Empty list returns the CSV file with data from all the possible fields.

"fields": ["1", "21". "42"]

Response

meta [meta parameters]

Field NameData TypeDescriptionExample
successBooleanIndicates the success of the API requesttrue
messageStringThe message from clickpost. In case of success it will be "SUCCESS". In case that there are no courier partners that are servicing the pincodes it will be”Pin code not serviceable""SUCCESS"
statusHTTP CodeThe HTTP response status code of the API request200

result [result parameters]

Field NameData TypeDescriptionExample
report_nameStringThe Name of the requested reportTRACKORDER
DASHBOARD_REPORT
report_reference_numberStringThe reference number for the report. This will be used in the GET API to download the report1324902
report_created_atStringThe date and time when the report was requested. The date and time is in UTC"2022-11-04 07:09"
Query Params
string
required

Enter the API key given to you by the clickpost onboarding team

Body Params
json
required

Enter the request body

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json